// To parse this JSON data, do
//
//     final typeOfLocation = typeOfLocationFromJson(jsonString);

import 'dart:convert';

TypeOfLocation typeOfLocationFromJson(String str) =>
    TypeOfLocation.fromJson(json.decode(str));

String typeOfLocationToJson(TypeOfLocation data) => json.encode(data.toJson());

class TypeOfLocation {
  final int? id;
  final String? distanceKm;
  final String? allRoadTypes;
  final String? localTradingCenter;

  TypeOfLocation({
    this.id,
    this.distanceKm,
    this.allRoadTypes,
    this.localTradingCenter,
  });

  factory TypeOfLocation.fromJson(Map<String, dynamic> json) => TypeOfLocation(
        id: json["id"],
        distanceKm: json["distance_km"],
        allRoadTypes: json["all_road_types"],
        localTradingCenter: json["local_trading_center"],
      );

  Map<String, dynamic> toJson() => {
        "id": id,
        "distance_km": distanceKm,
        "all_road_types": allRoadTypes,
        "local_trading_center": localTradingCenter,
      };
}
